%define anolis_release 1

%global pypi_name smartypants

Name:           python-%{pypi_name}
Version:        2.0.1
Release:        %{anolis_release}%{dist}
Summary:        plug-in that easily translates ASCII punctuation characters into smart entities
License:        BSD
URL:            https://github.com/leohemsted/smartypants.py
Source0:        https://github.com/leohemsted/smartypants.py/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
SmartyPants is a free web publishing plug-in for Movable
Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into “smart” typographic punctuation HTML
entities.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
SmartyPants is a free web publishing plug-in for Movable
Type, Blosxom, and BBEdit that easily translates plain ASCII
punctuation characters into “smart” typographic punctuation HTML
entities.

%package -n python-%{pypi_name}-doc
Summary:        python-smartypants documentation
Requires:       %{name} = %{EVR}

%description -n python-%{pypi_name}-doc
Documentation for python-smartypants

%prep
%autosetup -n %{pypi_name}.py-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
for lib in $(find -type f -name '*.py'); do
 sed -i.python -e '1{\@^#!@d}' $lib
done
sed -i.python -e 's|#!/usr/bin/env python|#!/usr/bin/python3|' smartypants

%build
%py3_build


%install
%py3_install

%check
%if %{with check}
%{__python3} setup.py test
%endif

%generate_compatibility_deps

%files -n python3-%{pypi_name}
%license COPYING
%{_bindir}/%{pypi_name}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc README.rst CHANGES.rst

%changelog
* Thu Mar 23 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.0.1-1
- Init package from upstream
